/* Copyright 1996 Arizona Board of Regents; see COPYRIGHT file for details. */

#include <fcntl.h>
#include "toba.h"
#include "runtime.h"
#include "java_io_FileOutputStream.h"

/* java/io/FileOutputStream open (Ljava/lang/String;)V */
Void open_S_QfoT2(Object Harg1, Object name) 
{
    struct in_java_io_FileOutputStream *this = 
        (struct in_java_io_FileOutputStream *)Harg1;

    fd_open(this->fd, name, O_WRONLY | O_CREAT | O_TRUNC);
}

/* java/io/FileOutputStream write (I)V */
Void write_i_ml1aE(Object Harg1, Int ch) 
{
    struct in_java_io_FileOutputStream *this = 
        (struct in_java_io_FileOutputStream *)Harg1;

    fd_write_char(this->fd, ch);
}

/* java/io/FileOutputStream writeBytes ([BII)V */
Void writeBytes_abii_7zmeS(Object Harg1, Object buf, Int off, Int len) 
{
    struct in_java_io_FileOutputStream *this = 
        (struct in_java_io_FileOutputStream *)Harg1;

    fd_write_bytes(this->fd, buf, off, len);
}

/* java/io/FileOutputStream close ()V */
Void close__qwNFY(Object Harg1) 
{
    struct in_java_io_FileOutputStream *this = 
        (struct in_java_io_FileOutputStream *)Harg1;

    fd_close(this->fd);
}

