/* Copyright 1996 Arizona Board of Regents; see COPYRIGHT file for details. */

#include "toba.h"
#include "runtime.h"
#include "java_net_SocketOutputStream.h"
#include "java_net_SocketImpl.h"

/* java/net/SocketOutputStream socketWrite ([BII)V */
Void socketWrite_abii_tAjyn(Object Harg1, Object b, Int off, Int len)
{
    struct in_java_net_SocketOutputStream *this = 
        (struct in_java_net_SocketOutputStream *)Harg1;
    struct in_java_net_SocketImpl *impl;

    impl = (struct in_java_net_SocketImpl *)this->impl;
    if(!impl)
        throwNullPointerException("socketWrite");

    fd_write_bytes(impl->fd, b, off, len);
}

