/* Copyright 1996 Arizona Board of Regents; see COPYRIGHT file for details. */

#include "toba.h"
#include "runtime.h"
#include "java_io_FileDescriptor.h"

/* java/io/FileDescriptor valid ()Z */
Boolean valid__yaTxr(Object Harg1) 
{
    struct in_java_io_FileDescriptor *this = 
        (struct in_java_io_FileDescriptor *)Harg1;

    if(java_fd_valid(this->fd))
        return JAVA_TRUE;
    else
        return JAVA_FALSE;
}

/* java/io/FileDescriptor initSystemFD (Ljava/io/FileDescriptor;I)Ljava/io/FileDescriptor; */
Object initSystemFD_Fi_yDCCg(Object Harg1, Int arg2) 
{
    struct in_java_io_FileDescriptor *arg1 = 
        (struct in_java_io_FileDescriptor *)Harg1;

    /* STATIC Method */
    init_java_io_FileDescriptor();

    if(!arg1)
        throwNullPointerException("initSystemFD");

    arg1->fd = java_fd(arg2);
    return arg1;
}

