/* Copyright 1996 Arizona Board of Regents; see COPYRIGHT file for details. */

#include "toba.h"
#include "runtime.h"
#include "java_lang_Throwable.h"
#include "java_io_PrintStream.h"

/* java/lang/Throwable printStackTrace0 (Ljava/io/PrintStream;)V */
Void printStackTrace0_P_VazXU(Object Harg1, Object Harg2)
/*ARGSUSED*/
{
    struct in_java_io_PrintStream *stream = 
        (struct in_java_io_PrintStream *)Harg2;
    struct in_java_lang_String *mesg;

    mesg = javastring("    Toba doesn't provide stack traces");
    /* java.io.PrintStream println(String) */
    println_S_RrOJH(stream, mesg);
}

/* java/lang/Throwable fillInStackTrace ()Ljava/lang/Throwable; */
Object fillInStackTrace__n9rRx(Object Harg1)
{
    struct in_java_lang_Throwable *this = 
         (struct in_java_lang_Throwable *)Harg1;

    /* we don't do stack traces */
    return this;
}

